<?php
include('../../includes/db.php');
include('../../includes/functions.php');
check_login();
check_user();

$pageTitle = "Packages";
include('../../includes/header.php');
include('../../includes/sidebar.php');
include('../../includes/topbar.php');
?>

<div id="content-wrapper" class="d-flex flex-column">
    <!-- Main Content -->
    <div id="content">
        <div class="container-fluid">
            <h1 class="h3 mb-4 text-gray-800">Packages</h1>
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Choose Your Plan</h6>
                </div>
                <div class="card-body">
                    <!-- Billing Cycle Tabs -->
                    <ul class="nav nav-tabs" id="billingCycleTabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="monthly-tab" data-toggle="tab" href="#monthly" role="tab" aria-controls="monthly" aria-selected="true">Monthly Billing</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="yearly-tab" data-toggle="tab" href="#yearly" role="tab" aria-controls="yearly" aria-selected="false">Yearly Billing</a>
                        </li>
                    </ul>
                    <div class="tab-content" id="billingCycleTabsContent">
                        <div class="tab-pane fade show active" id="monthly" role="tabpanel" aria-labelledby="monthly-tab">
                            <div class="row" id="monthly-packages"></div>
                        </div>
                        <div class="tab-pane fade" id="yearly" role="tabpanel" aria-labelledby="yearly-tab">
                            <div class="row" id="yearly-packages"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <?php include('../../includes/footer.php'); ?>
</div>

<script src="../../assets/js/jquery.min.js"></script>
<script src="../../assets/js/bootstrap.bundle.min.js"></script>
<script src="../../assets/js/sb-admin-2.min.js"></script>
<script>
$(document).ready(function () {
    function loadPackages(billingCycle, elementId) {
        $.ajax({
            url: 'load_packages.php',
            type: 'GET',
            data: { billing_cycle: billingCycle },
            success: function (response) {
                $('#' + elementId).html(response);
            }
        });
    }

    loadPackages('monthly', 'monthly-packages');
    loadPackages('yearly', 'yearly-packages');

    $('#billingCycleTabs a').on('click', function (e) {
        e.preventDefault();
        $(this).tab('show');
    });
});
</script>
</body>
</html>
